Problem when installing Upsource 2018 [Cassandra error]

Hi,

I'm trying to install upsource on a remote machine, and i'm getting errors when the installation gets to the Cassandra init part:

errors from log:

[2018-05-28 13:56:31,493] ================================================================ (start)
[2018-05-28 13:56:33,797] [Apache Cassandra Error] 2018-05-28T13:56:33,787 [[APP-WRAPPER] Proxy 1] ERROR o.a.c.utils.NativeLibraryLinux - Failed to link the C library against JNA. Native methods will be unavailable.
[2018-05-28 13:56:33,798] [Apache Cassandra Error] java.lang.UnsatisfiedLinkError: /tmp/jna-3506402/jna94737870519634938.tmp: /tmp/jna-3506402/jna94737870519634938.tmp: failed to map segment from shared object: Operation not permitted
[2018-05-28 13:56:33,798] [Apache Cassandra Error] at java.lang.ClassLoader$NativeLibrary.load(Native Method) ~[na:1.8.0_161]
[2018-05-28 13:56:33,798] [Apache Cassandra Error] at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1941) ~[na:1.8.0_161]
[2018-05-28 13:56:33,798] [Apache Cassandra Error] at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1824) ~[na:1.8.0_161]
[2018-05-28 13:56:33,798] [Apache Cassandra Error] at java.lang.Runtime.load0(Runtime.java:809) ~[na:1.8.0_161]
[2018-05-28 13:56:33,799] [Apache Cassandra Error] at java.lang.System.load(System.java:1086) ~[na:1.8.0_161]
[2018-05-28 13:56:33,799] [Apache Cassandra Error] at com.sun.jna.Native.loadNativeDispatchLibraryFromClasspath(Native.java:851) ~[jna-4.2.2.jar:4.2.2 (b0)]
[2018-05-28 13:56:33,799] [Apache Cassandra Error] at com.sun.jna.Native.loadNativeDispatchLibrary(Native.java:826) ~[jna-4.2.2.jar:4.2.2 (b0)]
[2018-05-28 13:56:33,799] [Apache Cassandra Error] at com.sun.jna.Native.<clinit>(Native.java:140) ~[jna-4.2.2.jar:4.2.2 (b0)]
[2018-05-28 13:56:33,799] [Apache Cassandra Error] at org.apache.cassandra.utils.NativeLibraryLinux.<clinit>(NativeLibraryLinux.java:53) ~[apache-cassandra-3.11.2.jar:3.11.2]
[2018-05-28 13:56:33,799] [Apache Cassandra Error] at org.apache.cassandra.utils.NativeLibrary.<clinit>(NativeLibrary.java:93) [apache-cassandra-3.11.2.jar:3.11.2]
[2018-05-28 13:56:33,799] [Apache Cassandra Error] at org.apache.cassandra.service.CassandraDaemon.setup(CassandraDaemon.java:196) [apache-cassandra-3.11.2.jar:3.11.2]
[2018-05-28 13:56:33,799] [Apache Cassandra Error] at org.apache.cassandra.service.CassandraDaemon.activate(CassandraDaemon.java:602) [apache-cassandra-3.11.2.jar:3.11.2]
[2018-05-28 13:56:33,800] [Apache Cassandra Error] at com.jetbrains.cassandra.service.CassandraServiceMain.start(CassandraServiceMain.java:92) [cassandra-service.jar:na]
[2018-05-28 13:56:33,800] [Apache Cassandra Error] at com.jetbrains.launcher.AppProxy$6$1.call(AppProxy.java:99) [cassandra-wrapper.jar:1.0.114]
[2018-05-28 13:56:33,800] [Apache Cassandra Error] at com.jetbrains.launcher.AppProxy$6$1.call(AppProxy.java:97) [cassandra-wrapper.jar:1.0.114]
[2018-05-28 13:56:33,800] [Apache Cassandra Error] at java.util.concurrent.FutureTask.run(FutureTask.java:266) [na:1.8.0_161]
[2018-05-28 13:56:33,800] [Apache Cassandra Error] at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) [na:1.8.0_161]
[2018-05-28 13:56:33,800] [Apache Cassandra Error] at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) [na:1.8.0_161]
[2018-05-28 13:56:33,800] [Apache Cassandra Error] at java.lang.Thread.run(Thread.java:748) [na:1.8.0_161]
[2018-05-28 13:56:33,800] [Apache Cassandra Error] 2018-05-28T13:56:33,788 [[APP-WRAPPER] Proxy 1] WARN o.a.cassandra.service.StartupChecks - jemalloc shared library could not be preloaded to speed up memory allocations
[2018-05-28 13:56:33,801] [Apache Cassandra Error] 2018-05-28T13:56:33,789 [[APP-WRAPPER] Proxy 1] WARN o.a.cassandra.service.StartupChecks - JMX is not enabled to receive remote connections. Please see cassandra-env.sh for more info.
[2018-05-28 13:56:33,801] [Apache Cassandra Error] 2018-05-28T13:56:33,790 [[APP-WRAPPER] Proxy 1] WARN o.a.cassandra.service.StartupChecks - The JVM is not configured to stop on OutOfMemoryError which can cause data corruption. Use one of the following JVM options to configure the behavior on OutOfMemoryError: -XX:+ExitOnOutOfMemoryError, -XX:+CrashOnOutOfMemoryError, or -XX:OnOutOfMemoryError="<cmd args>;<cmd args>"
[2018-05-28 13:56:33,801] [Apache Cassandra Error] 2018-05-28T13:56:33,790 [[APP-WRAPPER] Proxy 1] ERROR o.a.c.service.CassandraDaemon - The native library could not be initialized properly.
[2018-05-28 13:56:34,133] ================================================================ (finish)

1 comment
Comment actions Permalink

Getting the exact same error on a centos7/apache machine. Tried increasing jvm mem config for Cassandra, still crashes with same error.

0

Please sign in to leave a comment.